Authorization: Bearer ********************{
"name": "Research Paper Rubric",
"description": "Evaluation rubric for research papers",
"type": "rubric",
"status": "ready",
"criteria": [
{
"name": "Content Quality",
"description": "Depth and accuracy of content",
"marker_description": "Look for evidence-based arguments",
"sort_order": 0,
"levels": [
{
"name": "Excellent",
"description": "Outstanding analysis",
"points": 10,
"sort_order": 0
},
{
"name": "Good",
"description": "Solid analysis",
"points": 7,
"sort_order": 1
},
{
"name": "Needs Improvement",
"description": "Weak analysis",
"points": 3,
"sort_order": 2
}
]
},
{
"name": "Presentation",
"description": "Clarity and structure",
"sort_order": 1,
"levels": [
{
"name": "Excellent",
"points": 5,
"sort_order": 0
},
{
"name": "Adequate",
"points": 3,
"sort_order": 1
},
{
"name": "Poor",
"points": 1,
"sort_order": 2
}
]
}
]
}curl --location --request POST 'https://api.msaaq.com/v1/admin/grading-templates' \
--header 'X-Academy-ID: {{academy_id}}' \
--header 'Accept: application/json' \
--header 'Accept-Language: ar' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "Research Paper Rubric",
"description": "Evaluation rubric for research papers",
"type": "rubric",
"status": "ready",
"criteria": [
{
"name": "Content Quality",
"description": "Depth and accuracy of content",
"marker_description": "Look for evidence-based arguments",
"sort_order": 0,
"levels": [
{
"name": "Excellent",
"description": "Outstanding analysis",
"points": 10,
"sort_order": 0
},
{
"name": "Good",
"description": "Solid analysis",
"points": 7,
"sort_order": 1
},
{
"name": "Needs Improvement",
"description": "Weak analysis",
"points": 3,
"sort_order": 2
}
]
},
{
"name": "Presentation",
"description": "Clarity and structure",
"sort_order": 1,
"levels": [
{
"name": "Excellent",
"points": 5,
"sort_order": 0
},
{
"name": "Adequate",
"points": 3,
"sort_order": 1
},
{
"name": "Poor",
"points": 1,
"sort_order": 2
}
]
}
]
}'